Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql3.statements
Class ParsedStatement.Prepared

    java.lang.Object
      org.apache.cassandra.cql3.statements.ParsedStatement.Prepared

Enclosing class:
  ParsedStatement

    public static class ParsedStatement.Prepared

extends java.lang.Object

Field Summary
`java.util.List<CFDefinition.Name>` | `boundNames`
`CQLStatement` | `statement`

Constructor Summary
`ParsedStatement.Prepared(CQLStatement statement)`
`ParsedStatement.Prepared(CQLStatement statement, java.util.List<CFDefinition.Name> boundNames)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### statement

    public final CQLStatement statement

### boundNames

    public final java.util.List<CFDefinition.Name> boundNames

Constructor Detail

### ParsedStatement.Prepared

    public ParsedStatement.Prepared(CQLStatement statement,
                                    java.util.List<CFDefinition.Name> boundNames)

### ParsedStatement.Prepared

    public ParsedStatement.Prepared(CQLStatement statement)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation